package tutorialJava.capitulo5.ej06_PatronSingleton;

public class Player {

	private String nombre;
	
	private static Player instance = null; // Singleton
	
	// Singleton
	public static Player getInstance() {
		if (instance == null) {
			instance = new Player("Nave");
		}
		return instance;
	}

	public Player(String nombre) {
		super();
		this.nombre = nombre;
	}

	public String getNombre() {
		return nombre;
	}

	public void setNombre(String nombre) {
		this.nombre = nombre;
	}

	@Override
	public String toString() {
		return "Player [nombre=" + nombre + "]";
	}
	
	
	
}
